<?php
// Verificar el tipo de contenido de la solicitud
$contentType = $_SERVER["CONTENT_TYPE"];

if ($contentType === "application/json") {
    // El tipo de contenido es JSON, continuar con el procesamiento de los datos
    // Recibir los datos enviados por la solicitud AJAX
    $data = json_decode(file_get_contents("php://input"));

    // Habilitar la visualización de errores en PHP
    error_reporting(E_ALL);
    ini_set('display_errors', 1);

    // Establecer la conexión a la base de datos
    $conexion = pg_connect("host=localhost dbname=geovisorca user=postgres password=martin1927");

    if (!$conexion) {
        echo "Error al conectar a la base de datos: " . pg_last_error();
        exit;
    } else {
        echo "Conexión exitosa a la base de datos.<br>";
    }

    // Recibir los datos enviados por la solicitud AJAX
    $data = json_decode(file_get_contents("php://input"));

    // Obtener los datos individuales
    $cuenca = $data->cuenca;
    $fecha = $data->fecha;
    $punto = $data->punto;
    $temperatura = $data->temperatura;
    $altura = $data->altura;
    $parametro1 = $data->p1;
    $parametro2 = $data->p2;
    $parametro3 = $data->p3;
    $parametro4 = $data->p4;
    $parametro5 = $data->p5;
    $parametro6 = $data->p6;
    $parametro7 = $data->p7;
    $parametro8 = $data->p8;
    $subindice1 = $data->sub1;
    $subindice2 = $data->sub2;
    $subindice3 = $data->sub3;
    $subindice4 = $data->sub4;
    $subindice5 = $data->sub5;
    $subindice6 = $data->sub6;
    $subindice7 = $data->sub7;
    $indice = $data->indice;
    $clasificacion = $data->clasificacion;

    // Crear la consulta SQL para insertar los datos
    $query = "INSERT INTO ica (id, puntomon, temperatura, altura, oxdisuelto, sst, dqo, conductividad, nt, ft, ph, coliformes, subindiceod, subindicesst, subindicedqo, subindicecod, subindicenp, subindicecolt, subindiceph, indice, clasificacion, cuenca, fecha) 
            VALUES (DEFAULT, '$punto', '$temperatura', '$altura', '$parametro1', '$parametro2', '$parametro3', '$parametro4', '$parametro5', '$parametro6', '$parametro7', '$parametro8', '$subindice1', '$subindice2', '$subindice3', '$subindice4', '$subindice5', '$subindice6', '$subindice7', '$indice', '$clasificacion', '$cuenca', '$fecha')";

    // Imprimir la consulta SQL para depuración
    echo "Consulta SQL: $query<br>";

    echo "Datos recibidos:<br>";
    echo "<pre>";
    print_r($data);
    echo "</pre>";

    // Ejecutar la consulta para guardar los datos en la tabla de la base de datos
    $result = pg_query($conexion, $query);

    // Imprimir el resultado de la consulta para depuración
    if ($result) {
        echo "Datos guardados correctamente.";
    } else {
        echo "Error al guardar los datos: " . pg_last_error($conexion);
    }

    // Imprimir los datos para depuración en la consola del navegador
    echo "<script>";
    echo "console.log('Datos:', " . json_encode($data) . ");";
    echo "</script>";

    // Cerrar la conexión
    pg_close($conexion);

} else {
    // El tipo de contenido no es el esperado, devolver un error
    http_response_code(400); // Bad Request
    echo "Error: Tipo de contenido incorrecto. Se esperaba 'application/json'.";
    exit;
}
?>
